XmLDrawnButtonSetType(3X)

NAME
XmLDrawnButtonSetType - adds graphics to a DrawnButton widget

SYNTAX
void XmLDrawnButtonSetType(widget, drawnType, drawnDir)
Widget widget;
int drawnType;
int drawnDir;

ARGUMENTS

widget
    DrawnButton widget ID

drawnType
    type of button to display

drawnDir
    direction of button to display

DESCRIPTION
Given a widget of class XmDrawnButton this function attaches expose and realize callbacks to the widget to display the specified graphic in the button. This function also sets the widget's XmNpushButtonEnabled resource to True. The drawnType value given must be one of the following: XmDRAWNB_ARROW, XmDRAWNB_ARROWLINE, XmDRAWNB_DOUBLEARROW, XmDRAWNB_SQUARE ,XmDRAWNB_DOUBLEBAR or XmDRAWNB_STRING. The drawnDir value given must be XmDRAWNB_RIGHT, XmDRAWNB_LEFT, XmDRAWNB_UP, or XmDRAWNB_DOWN. The graphics inside the button are drawn in the widget's foreground color.